MCA_FIND_ADAPTER(9)

NAME
mca_find_adapter - scan for adapters

SYNOPSIS

int mca_find_adapter (int id, int start);

ARGUMENTS

id  MCA identification to search for

start
    starting slot

DESCRIPTION

Search the MCA configuration for adapters matching the 16bit ID given. The first time it should be called with start as zero and then further calls made passing the return value of the previous call until MCA_NOTFOUND is returned.

Disabled adapters are not reported.

AUTHORS
Alan Cox <alan@redhat.com>, David Weinehall, Chris Beauregard.